import sys
root = sys.exec_prefix

# set path (avoid other Python installations)
sys.path = []
for dir in ('App', 'Lib', 'Lib\\lib-tk', 'Lib\\plat-win', 'DLLs'):
    sys.path.append('%s\\%s' % (root, dir))

# setup Tkinter
import os
os.putenv('TCL_LIBRARY', root+'\\DLLs\\tcl8.0')
os.putenv('TK_LIBRARY', root+'\\DLLs\\tk8.0')

# run application
if __name__ == '__main__':
    import main
    main.main()
